AddToListValueTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.AddToListValueTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class AddToListValueTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.AddToListValueTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AddToListValueTag

extends javax.servlet.jsp.tagext.TagSupport

Define a bundle of properties of a spider object corresponding to the columns of each of the "from" and "to" tables in the Add To List widget. After this tag and its nested body are evaluated, its ancestor `AddToListValueTag` will have added a ``Map` object (representing the spider object) with properties as defined by nested `<spider:addToListValueProperty>` tags.`

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AddToListValueTag()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getId()`
`void` | `release()` Release tag state.
`void` | `setId(java.lang.String id)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddToListValueTag

    public AddToListValueTag()

Method Detail

### setId

    public void setId(java.lang.String id)

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`

### getId

    public java.lang.String getId()

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Release tag state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.